Lambdas=delta*.5*(((4*pi*pi/L/L)*kmod.^2).^(-alph));
Lambdas(1,1)=0;
% %  % just to record memory
% u1h=0.*X; u2h=0.*X;

% sampling u1_hat

% sample all columns k1 from -n/2:0 
Block1=randn(n-1,n/2)+sqrt(-1)*randn(n-1,n/2);
% flip Block1 horizontally and vertically to set columns 1:n/2
antiBlock1=-conj(rot90(Block1(:,1:n/2-1),2));
% add first column and row for k1,k2=-n/2+1
RandomMatrixU=[zeros(1,n);zeros(n-1,1),Block1,antiBlock1];
% flip vertically for column set for k1=0;
RandomMatrixU(n/2+2:end,n/2+1)=-conj(flipud(RandomMatrixU(2:n/2,n/2+1)));

% % % % % % % % % % % % % CHECK MINUS CONJ

% scale with eigenvalues and reorder for fft
u1h=KY.*sqrt(Lambdas).*fftshift(RandomMatrixU)./kmod;
% no mean flow
u1h(1,1)=0;

% % % % 
% scale with eigenvalues and reorder for fft
u2h=-KX.*sqrt(Lambdas).*fftshift(RandomMatrixU)./kmod;
% no mean flow
u2h(1,1)=0;
