function [ u1h_l,u2h_l] = get_adap_sample_low_freq( mu,Sigma,k_thresh,n,delta, alph ,rho)
%UNTITLED7 Summary of this function goes here
%   Detailed explanation goes here
% % % % % Select random sample % % % % % % 
global KX KY 
kmod=sqrt(KX.^2 + KY.^2); % matrix of |k|

x_dim=length(mu);

mu=(1-rho)*mu;
Sigma=(1-rho^2)*Sigma;

Sample_vec=mu+(Sigma^.5)*randn(x_dim,1);

% % % % Sample_log_dens=-0.5*(Sample_vec-mu)'*(Sigma^-1)*(Sample_vec-mu);

% % % % % % % % % % % % % % % % % % % % % 

%  modify vector to matrix with natural freq indexing -k_thresh to k_thresh
Sample_matrix=get_vort_matrix(Sample_vec,k_thresh);



blk_ind=(n/2+1-k_thresh):(n/2+1+k_thresh);


% % Lambdas=delta*.5*(((4*pi*pi/L/L)*kmod.^2).^(-alph));
% Lambdas=fftshift(delta*.5*((kmod.^2).^(-alph)));
% Lambda_l=Lambdas(blk_ind,blk_ind);

% Sample_log_prior=-0.5*sum(sum((real(Sample_matrix).^2)./Lambda_l))-0.5*sum(sum((imag(Sample_matrix).^2)./Lambda_l));

kmod_l=fftshift(kmod);
kmod_l=kmod_l(blk_ind,blk_ind);

kx_l=fftshift(KX);
kx_l=kx_l(blk_ind,blk_ind);

ky_l=fftshift(KY);
ky_l=ky_l(blk_ind,blk_ind);

% scale with eigenvalues and reorder for fft
u1h_l=ky_l.*(Sample_matrix)./kmod_l;
u1h_l=ifftshift(u1h_l);
% no mean flow
u1h_l(1,1)=0;

% % % % 
% scale with eigenvalues and reorder for fft
u2h_l=-kx_l.*(Sample_matrix)./kmod_l;
u2h_l=ifftshift(u2h_l);
% no mean flow
u2h_l(1,1)=0;




end

