function [ mu,Sigma ] = get_mu_sigma_test(U1,U2,k_thresh,n,N,logWprev)
%UNTITLED6 Summary of this function goes here
%   Detailed explanation goes here

center_0=n/2+1;
start=center_0-k_thresh;
fin=center_0+k_thresh;

% if sum(logWprev)==0
% 
%     mu=0;
%     for ii=1:N
%         mu=mu+get_vort_vec(U1{ii,1},U2{ii,1},start,fin,k_thresh);
%     end
%     mu=mu/N;
%     Sigma=0;
%     for ii=1:N
%         temp=get_vort_vec(U1{ii,1},U2{ii,1},start,fin,k_thresh);
%         Sigma=Sigma+(temp-mu)*(temp-mu)';
%     end
%     Sigma=Sigma/(N-1);
% else
    mu=0;
    for ii=1:N
        mu=mu+exp(logWprev(ii,1))*get_vort_vec(U1{ii,1},U2{ii,1},start,fin,k_thresh);
    end
    
    Sigma=0;
    for ii=1:N
        temp=get_vort_vec(U1{ii,1},U2{ii,1},start,fin,k_thresh);
        Sigma=Sigma+exp(logWprev(ii,1))*(temp-mu)*(temp-mu)';
    end
    Sigma2=Sigma*N/(N-1);
    
    DD=diag(Sigma2);
    D1=DD*ones(1,size(Sigma2,1));
    D2=D1';
    SS=Sigma2./((D1.*D2).^.5);
    
    % % set to zero minor pearson correlations according to as small thresh as possible 
    % % otherwise return just the diagonal    
    Sigma=zeros(size(Sigma2));
    test=0;
    thresh=0.4;%.2 before
    while test==0
        [I]=find(abs(SS)>thresh);
        Sigma(I)=Sigma2(I);
        if rank(Sigma)==size(Sigma,1)
            test=1;
        elseif thresh==0.9 && rank(Sigma)~=size(Sigma,1)
            Sigma=diag(DD);
            test=1;
        end
        thresh=thresh+0.1;
    end
    disp(['SIGMA CORR THRESH set to ', num2str(thresh-.1)])
    [U, Lam]=eig(Sigma);
    
    LL=diag(Lam);
    
    % % % find the minimum positive eigenvalue
    %     I1=find(LL>0);
    %     [s1 s2]=min(LL(I1));
    %     i_min=find(LL==s1);
    
    Io2=find(LL<=0);
    
    LamNew=Lam;
    LamNew(Io2,Io2)=-LamNew(Io2,Io2);
    
    Sigma=U*LamNew*U';
    
    
% end

% % % % % % regularising covariance % % % % % % % % % % % % % 
% % % % % % check selection of  this step carefully % % % % % 
% % % % % %  diagonalise sample covariance% % % % % % % % % %
% Sigma=diag(diag(Sigma));
% % % % % % % % % % % % % % % % % % 
% % % %  push up eigenvalue % % % %
% min_eig=0.1;
% [V,L] = eig(Sigma);
% Lnew=L;
% indx_L_low=find(diag(L)<min_eig);
% 
% for i1=1:length(indx_L_low), Lnew(indx_L_low(i1),indx_L_low(i1))=min_eig; end
% NewSigma=V*Lnew*V';
% % % % % % % % % % % % % % % % % % 


end

