t1=size(MonitorG_TOPreal,1);
t2=size(MonitorG_TOPreal,2);

ind1_1=[2,3,5,10,10,15,20];
ind1_2=[2,2,5,5 ,10,10,20];
num_coefs=length(ind1_1);

save_plot=0;

scatter_plot_on=0;

file_output='smc_Gdiag_';



% % % % % % % % % % % % % % % % % % % %
% % % %  JITTER PLOTS % % % % % % % % %
% % % % % % % % % % % % % % % % % % % % 

color1='b-';

Monitor_jitter_min=[];
for i1=1:t1
    for i2=1:t2
        len=size(MonitorG_TOPreal{i1,i2},1);
        for it1=1:len
            for m=1:num_mcmc_moves
                Monitor_jitter_min=[Monitor_jitter_min, min(min(MonitorG_TOPreal{i1,i2}{it1,m}./MonitorG_BOTreal{i1,i2}{it1,1}))];
            end
        end
        
    end
end

figure(99)
plot(Monitor_jitter_min(1,10:num_mcmc_moves:end),[color1,'-'])
hold on

for ll=1:num_coefs
    Monitor_jitter=[];
    for i1=1:t1
        for i2=1:t2
            len=size(MonitorG_TOPreal{i1,i2},1);
            for it1=1:len
                for m=1:num_mcmc_moves
                    Monitor_jitter=[Monitor_jitter, MonitorG_TOPreal{i1,i2}{it1,m}(ind1_1(ll),ind1_2(ll))/MonitorG_BOTreal{i1,i2}{it1,1}(ind1_1(ll),ind1_2(ll))];
                end
            end
            
        end
    end

    plot(Monitor_jitter(1,10:num_mcmc_moves:end),color1)

end

if save_plot==1    
    saveas(gcf,[file_output,'_monitor_jitter'],'fig')
end

if scatter_plot_on==0
    return
end


% % % % % % % % % % % % % % % % % % % %
% % % % SCATTER PLOTS REALS % % % % % % 
% % % % % % % % % % % % % % % % % % % % 
figure

load y_Temp_mcmc_test u1h u2h

grd=-2:.1:2;

hor_bar_length=.45;
dist=.05;
KKk=size(0:dist:hor_bar_length,2);

bins_ks=50;
divisor_prior=10;
divisor_true_obs=10;

for ll1=1:num_coefs
    for ll2=1:num_coefs
        subplot(num_coefs,num_coefs,ll1+(ll2-1)*num_coefs)
        coef1=[];
        for ii=1:N
            coef1=[coef1,U2{ii,1}(ind1_1(ll1),ind1_2(ll1))];
        end
        ssigma=sqrt(.5*delta*kmod(ind1_1(ll1),ind1_2(ll1)).^(-2*alph));

        if ll1==ll2
            

            [F,XI]=ksdensity(real(coef1)/ssigma,'npoints',bins_ks);
            plot(XI,F/sum(F))
            hold on
            plot(real( u2h(ind1_1(ll1),ind1_2(ll1)))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
            plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
            xlim([-2,2])
%             title(['REAL coef',num2str(ind1_1(ll1)-1),num2str(ind1_2(ll1)-1)])
            grid
        else
            coef2=[];
            for ii=1:N
                coef2=[coef2,U2{ii,1}(ind1_1(ll2),ind1_2(ll2))];
            end
            ssigma2=sqrt(.5*delta*kmod(ind1_1(ll2),ind1_2(ll2)).^(-2*alph));

            plot(real(coef1)/ssigma,real(coef2)/ssigma2,'.')
            hold on
            plot(real( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,real( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            xlim([-2,2])
            ylim([-2,2])

%             if ll2==2
%                 XL=xlim;
%                 
%             end
                        
        end
    end
%     subplot(num_coefs,num_coefs,ll1+(ll1-1)*num_coefs)
%     xlim(XL)
end

if save_plot==1    
    saveas(gcf,[file_output,'_real_scatter'],'fig')
end


% % % % % % % % % % % % % % % % % % % %
% % % % SCATTER PLOTS IMAG-S % % % % % 
% % % % % % % % % % % % % % % % % % % % 
figure

load y_Temp_mcmc_test u1h u2h

grd=-2:.1:2;

hor_bar_length=.45;
dist=.05;
KKk=size(0:dist:hor_bar_length,2);

bins_ks=50;
divisor_prior=10;
divisor_true_obs=10;

for ll1=1:num_coefs
    for ll2=1:num_coefs
        subplot(num_coefs,num_coefs,ll1+(ll2-1)*num_coefs)
        coef1=[];
        for ii=1:N
            coef1=[coef1,U2{ii,1}(ind1_1(ll1),ind1_2(ll1))];
        end
        ssigma=sqrt(.5*delta*kmod(ind1_1(ll1),ind1_2(ll1)).^(-2*alph));

        if ll1==ll2
            

            [F,XI]=ksdensity(imag(coef1)/ssigma,'npoints',bins_ks);
            plot(XI,F/sum(F))
            hold on
            plot(imag( u2h(ind1_1(ll1),ind1_2(ll1)))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
            plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
            xlim([-2,2])
%             title(['REAL coef',num2str(ind1_1(ll1)-1),num2str(ind1_2(ll1)-1)])
            grid
        else
            coef2=[];
            for ii=1:N
                coef2=[coef2,U2{ii,1}(ind1_1(ll2),ind1_2(ll2))];
            end
            ssigma2=sqrt(.5*delta*kmod(ind1_1(ll2),ind1_2(ll2)).^(-2*alph));

            plot(imag(coef1)/ssigma,imag(coef2)/ssigma2,'.')
            hold on
            plot(imag( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,imag( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            xlim([-2,2])
            ylim([-2,2])

%             if ll2==2
%                 XL=xlim;
%                 
%             end
                        
        end
    end
%     subplot(num_coefs,num_coefs,ll1+(ll1-1)*num_coefs)
%     xlim(XL)
end


if save_plot==1    
    saveas(gcf,[file_output,'_imag_scatter'],'fig')
end


% % % % % % % % % % % % % % % % % % % %
% % % % SCATTER PLOTS MIXED % % % % % 
% % % % % % % % % % % % % % % % % % % % 
figure

ind1_1=[2,3,5,10];
ind1_2=[2,2,5,10];

num_coefs=2*length(ind1_1);


load y_Temp_mcmc_test u1h u2h

grd=-2:.1:2;

hor_bar_length=.45;
dist=.05;
KKk=size(0:dist:hor_bar_length,2);

bins_ks=50;
divisor_prior=10;
divisor_true_obs=10;

for lll1=1:num_coefs
    for lll2=1:num_coefs
        
        if mod(lll1,2)==0
            ll1=lll1/2;
            imag_is_on_1=1;
        else
            ll1=(lll1+1)/2;
            imag_is_on_1=0;
        end
        
        if mod(lll2,2)==0
            ll2=lll2/2;
            imag_is_on_2=1;
        else
            ll2=(lll2+1)/2;
            imag_is_on_2=0;
        end
        
            
        subplot(num_coefs,num_coefs,lll1+(lll2-1)*num_coefs)
        coef1=[];
        for ii=1:N
            coef1=[coef1,U2{ii,1}(ind1_1(ll1),ind1_2(ll1))];
        end
        ssigma=sqrt(.5*delta*kmod(ind1_1(ll1),ind1_2(ll1)).^(-2*alph));

        if lll1==lll2
            
            if imag_is_on_1==1
                [F,XI]=ksdensity(imag(coef1)/ssigma,'npoints',bins_ks);
                plot(XI,F/sum(F))
                hold on
                plot(imag( u2h(ind1_1(ll1),ind1_2(ll1)))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
            else
                [F,XI]=ksdensity(real(coef1)/ssigma,'npoints',bins_ks);
                plot(XI,F/sum(F))
                hold on
                plot(real( u2h(ind1_1(ll1),ind1_2(ll1)))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
            end
            plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
            xlim([-2,2])
%             title(['REAL coef',num2str(ind1_1(ll1)-1),num2str(ind1_2(ll1)-1)])
            grid
        else
            coef2=[];
            for ii=1:N
                coef2=[coef2,U2{ii,1}(ind1_1(ll2),ind1_2(ll2))];
            end
            ssigma2=sqrt(.5*delta*kmod(ind1_1(ll2),ind1_2(ll2)).^(-2*alph));
            
            if imag_is_on_1==1 && imag_is_on_2==1
                plot(imag(coef1)/ssigma,imag(coef2)/ssigma2,'.')
                hold on
                plot(imag( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,imag( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            elseif imag_is_on_1==0 && imag_is_on_2==0
                plot(real(coef1)/ssigma,real(coef2)/ssigma2,'.')
                hold on
                plot(real( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,real( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            elseif imag_is_on_1==1 && imag_is_on_2==0
                plot(imag(coef1)/ssigma,real(coef2)/ssigma2,'.')
                hold on
                plot(imag( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,real( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            elseif imag_is_on_1==0 && imag_is_on_2==1
                plot(real(coef1)/ssigma,imag(coef2)/ssigma2,'.')
                hold on
                plot(real( u2h(ind1_1(ll1),ind1_2(ll1)))/ssigma,imag( u2h(ind1_1(ll2),ind1_2(ll2)))/ssigma2,'rx')
            end
            xlim([-2,2])
            ylim([-2,2])

%             if ll2==2
%                 XL=xlim;
%                 
%             end
                        
        end
    end
%     subplot(num_coefs,num_coefs,ll1+(ll1-1)*num_coefs)
%     xlim(XL)
end

if save_plot==1    
    saveas(gcf,[file_output,'_mixed_scatter'],'fig')
end
