function plot_pdfs_in_loop(U2, logWeight,logWprev,N,ACCEPT_RATIO,mu ,Sigma,k_thresh,n,num)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

% % % % % check if particles as resampled
if sum(logWprev)~=0
    divisor_weight=1;
        
    %   % from    Resampling_temper
        
    A = randsample(N,N,true,exp(logWeight));
    
    logWeight=zeros(N,1);
    logZ = log(sum(exp(logWeight-max(max(logWeight)))))+max(max(logWeight));
    logWeight=logWeight-ones(N,1)*logZ;
    
    for ii=1:N
        
        Utemp2{ii,1}=U2{A(ii),1};
        Utemp2{ii,2}=U2{A(ii),2};
        
        
    end
    
    
    %  copy to Utemp back to U
    for ii=1:N
        
        
        U2{ii,1}=Utemp2{ii,1};
        U2{ii,2}=Utemp2{ii,2};
        
    end
else
    divisor_weight=1;
    
end


global KX KY    



coef1=[];
ind1_1=1;
ind1_2=2;

coef2=[];
ind2_1=2;
ind2_2=2;

coef3=[];
ind3_1=3;
ind3_2=2;


for ii=1:N
    coef1=[coef1,U2{ii,1}(ind1_1,ind1_2)];
    coef2=[coef2,U2{ii,1}(ind2_1,ind2_2)];
    coef3=[coef3,U2{ii,1}(ind3_1,ind3_2)];
end

grd=-2:.1:2;

hor_bar_length=.45;
dist=.05;
KKk=size(0:dist:hor_bar_length,2);

bins_ks=50;
divisor_prior=8;
divisor_true_obs=8;
% divisor_weight=1;

% % % % % % % % % % % % % % % % % % % % % % % CHECK HERE FOR WRONG FILE
load y_Temp_mcmc_test u1h u2h kmod alph delta
% % % % % % % % % % % % % % % % % % % % % % % % % %

if num>1
    figure(25)
    clf
else
    figure(24)
    clf
end

% size_mu=length(mu);

blk_ind=(n/2+1-k_thresh):(n/2+1+k_thresh);

kmod_l=fftshift(kmod);
kmod_l=kmod_l(blk_ind,blk_ind);

kx_l=fftshift(KX);
kx_l=kx_l(blk_ind,blk_ind);

% ky_l=fftshift(KY);
% ky_l=ky_l(blk_ind,blk_ind);

Sample_matrix=get_vort_matrix(diag(Sigma),k_thresh);
u2h_l=-kx_l.*kx_l.*(Sample_matrix)./kmod_l./kmod_l;
u2h_l=ifftshift(u2h_l);
% no mean flow
u2h_l(1,1)=0;


Sigma_mat=u2h_l;

% % % % % % % % % % % % % % 
Sample_matrix=get_vort_matrix(mu,k_thresh);
u2h_l=-kx_l.*(Sample_matrix)./kmod_l;
u2h_l=ifftshift(u2h_l);
% no mean flow
u2h_l(1,1)=0;

mu=u2h_l;


% % %  COEF 1

ssigma=sqrt(.5*delta*kmod(ind1_1,ind1_2).^(-2*alph));
% % % % % % % % % % % % check INDEX HERE % % % % % % % % % % % %
meanRe=real(mu(ind1_1,ind1_2));
meanIm=imag(mu(ind1_1,ind1_2));

sigmaRe=real(Sigma_mat(ind1_1,ind1_2))^.5;
sigmaIm=imag(-Sigma_mat(ind1_1,ind1_2))^.5;

var1=var(real(coef1))^.5;
var2=var(imag(coef1))^.5;

subplot(321)
[F,XI]=ksdensity(real(coef1)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on

stem(real(coef1)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(real( u2h(ind1_1,ind1_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')

plot( meanRe/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')

plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2}  of real coef',num2str(ind1_1),num2str(ind1_2),' = ',num2str(sigmaRe/ssigma),' STD of population: ', num2str(var1/ssigma)])
grid

subplot(322)
[F,XI]=ksdensity(imag(coef1)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on 

stem(imag(coef1)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(imag( u2h(ind1_1,ind1_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')

plot( meanIm/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')

plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2} of imag coef',num2str(ind1_1),num2str(ind1_2),' = ',num2str(sigmaIm/ssigma),' STD of population: ', num2str(var2/ssigma)])
grid


% % %  COEF 2

ssigma=sqrt(.5*delta*kmod(ind2_1,ind2_2).^(-2*alph));

meanRe=real(mu(ind2_1,ind2_2));
meanIm=imag(mu(ind2_1,ind2_2));

sigmaRe=real(Sigma_mat(ind2_1,ind2_2))^.5;
sigmaIm=imag(-Sigma_mat(ind2_1,ind2_2))^.5;

var1=var(real(coef2))^.5;
var2=var(imag(coef2))^.5;

subplot(323)
[F,XI]=ksdensity(real(coef2)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on

stem(real(coef2)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(real( u2h(ind2_1,ind2_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
plot( meanRe/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')


plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2} of real coef',num2str(ind2_1),num2str(ind2_2),' = ',num2str(sigmaRe/ssigma),' STD of population: ', num2str(var1/ssigma)])
grid

subplot(324)
[F,XI]=ksdensity(imag(coef2)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on 
stem(imag(coef2)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(imag( u2h(ind2_1,ind2_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
plot( meanIm/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')


plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2}  of imag coef',num2str(ind2_1),num2str(ind2_2),' = ',num2str(sigmaIm/ssigma),' STD of population: ', num2str(var2/ssigma)])
grid


% % %  COEF 3

ssigma=sqrt(.5*delta*kmod(ind3_1,ind3_2).^(-2*alph));


meanRe=real(mu(ind3_1,ind3_2));
meanIm=imag(mu(ind3_1,ind3_2));

sigmaRe=real(Sigma_mat(ind3_1,ind3_2))^.5;
sigmaIm=imag(-Sigma_mat(ind3_1,ind3_2))^.5;


% meanRe=1;
% meanIm=1;

% sigmaRe=1;
% sigmaIm=1;


var1=var(real(coef3))^.5;
var2=var(imag(coef3))^.5;

subplot(325)
[F,XI]=ksdensity(real(coef3)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on

stem(real(coef3)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(real( u2h(ind3_1,ind3_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
plot( meanRe/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')

plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2} of real coef',num2str(ind3_1),num2str(ind3_2),' = ',num2str(sigmaRe/ssigma),' STD of population: ', num2str(var1/ssigma)])
grid

subplot(326)
[F,XI]=ksdensity(imag(coef3)/ssigma,'npoints',bins_ks);
plot(XI,F/sum(F))
hold on 
stem(imag(coef3)/ssigma,exp(logWeight)/divisor_weight,'m')

plot(imag( u2h(ind3_1,ind3_2))*ones(KKk,1)/ssigma,(0:dist:hor_bar_length)/divisor_true_obs,'r')
plot( meanIm/ssigma*ones(KKk,1),(0:dist:hor_bar_length)/divisor_true_obs,'b-')

plot(grd,normpdf(grd,0,1)/divisor_prior,'k-')
title(['\Sigma^{1/2} of imag coef',num2str(ind3_1),num2str(ind3_2),' = ',num2str(sigmaIm/ssigma),' STD of population: ', num2str(var2/ssigma)])
grid



% % %  ACCEPTANCE RATIO PLOT
% 
% if num>1
%     acc=[];
%     for ii=1:N, acc=[acc,(ACCEPT_RATIO{1,ii})]; end
%     figure(23), hist(acc(end-4:end,:))
% end


end

