figure

plot_str=['c-';'r-';'m-';'k-'];

save_plot=0;
% file_name='rholowp95highp95/test2_rp95_smc_adap';
file_name='test_G_991_95';

file_output='smc_fig';

ind1_1=1;
ind1_2=2;

ind2_1=2;
ind2_2=2;


ind3_1=3;
ind3_2=2;


grd=-2:.05:2;
hor_bar_length=.45;
dist=.05;
kk=size(0:dist:hor_bar_length,2);

ks_den_num=50;

divide_height_init_cond=10;
divide_height_prior=8;
 
 
for j1=1:4
%     
%     
     load([file_name,'_',num2str(j1),'.mat'],'U2','U1','U3','ess','logWeight','N','Nthresh','tolerance')
     disp(['time n= ',num2str(j1),' the ess/N is: ',num2str(ess/N) ])
 
     if ess>(Nthresh+tolerance)
         Resampling_temper
     end
     
     coef1=[];
     coef2=[];
     coef3=[];
         
     for ii=1:N
         coef1=[coef1,U2{ii,1}(ind1_1,ind1_2)];
         coef2=[coef2,U2{ii,1}(ind2_1,ind2_2)];
         coef3=[coef3,U2{ii,1}(ind3_1,ind3_2)];
     end
     
     
     
     load y_Temp_mcmc_test u1h u2h delta alph kmod
 
     ssigma=sqrt(.5*delta*kmod(ind1_1,ind1_2).^(-2*alph));
     
     subplot(321)
     [F,XI]=ksdensity(real(coef1)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
     
     subplot(322)
     [F,XI]=ksdensity(imag(coef1)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
     
     ssigma=sqrt(.5*delta*kmod(ind2_1,ind2_2).^(-2*alph));
     subplot(323)
     [F,XI]=ksdensity(real(coef2)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
     
     subplot(324)
     [F,XI]=ksdensity(imag(coef2)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
     
     ssigma=sqrt(.5*delta*kmod(ind3_1,ind3_2).^(-2*alph));
     subplot(325)
     [F,XI]=ksdensity(real(coef3)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
     
     subplot(326)
     [F,XI]=ksdensity(imag(coef3)/ssigma,'npoints',ks_den_num);
     plot(XI,F/sum(F),plot_str(j1,:))
     hold on
             
 end
 


load([file_name,'.mat'],'U2','U1','ess','logWeight','N')
disp(['time n= ',num2str(j1),' the ess/N is: ',num2str(ess/N) ])

if ess>N/3
    Resampling_temper
end

coef1=[];
coef2=[];
coef3=[];


for ii=1:N
    coef1=[coef1,U2{ii,1}(ind1_1,ind1_2)];
    coef2=[coef2,U2{ii,1}(ind2_1,ind2_2)];
    coef3=[coef3,U2{ii,1}(ind3_1,ind3_2)];
end

load y_Temp_mcmc_test u1h u2h

ssigma=sqrt(.5*delta*kmod(ind1_1,ind1_2).^(-2*alph));
subplot(321)
[F,XI]=ksdensity(real(coef1)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on
plot(real( u2h(ind1_1,ind1_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of real coef',num2str(ind1_1),num2str(ind1_2)])
grid

subplot(322)
[F,XI]=ksdensity(imag(coef1)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on 
plot(imag( u2h(ind1_1,ind1_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of IMAG coef',num2str(ind1_1),num2str(ind1_2)])
grid

ssigma=sqrt(.5*delta*kmod(ind2_1,ind2_2).^(-2*alph));
subplot(323)
[F,XI]=ksdensity(real(coef2)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on
plot(real( u2h(ind2_1,ind2_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of real coef',num2str(ind2_1),num2str(ind2_2)])
grid

subplot(324)
[F,XI]=ksdensity(imag(coef2)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on 
plot(imag( u2h(ind2_1,ind2_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of IMAG coef',num2str(ind2_1),num2str(ind2_2)])
grid

ssigma=sqrt(.5*delta*kmod(ind3_1,ind3_2).^(-2*alph));
subplot(325)
[F,XI]=ksdensity(real(coef3)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on
plot(real( u2h(ind3_1,ind3_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of real coef',num2str(ind3_1),num2str(ind3_2)])
grid

subplot(326)
[F,XI]=ksdensity(imag(coef3)/ssigma,'npoints',ks_den_num);
plot(XI,F/sum(F))
hold on 
plot(imag( u2h(ind3_1,ind3_2))*ones(kk,1)/ssigma,(0:dist:hor_bar_length)/divide_height_init_cond,'k')
plot(grd,normpdf(grd,0,1)/divide_height_prior,'k-')
title(['hist, trace and ACF of IMAG coef',num2str(ind3_1),num2str(ind3_2)])
grid


if save_plot==1
   saveas(gcf,[file_output,'_temper_pdf_n'],'fig')
end
    