function [g1,g2]=g(X,Y,t) %a selection of right hand sides. 

global regime L 
switch lower(regime)
    case 'stationary'
        k1=1*2*pi/L;
        k2=1*2*pi/L;
    case 'chaotic'
        k1=5*2*pi/L;
        k2=5*2*pi/L;
end
cc=1;%(t>=.00);

g1=-k2*cc*(sin(k1*X+k2*Y));
g2=k1*cc*(sin(k1*X+k2*Y));

end


        