save_plot=0;

file_output='smc_Gdiag_';


MeanPostReal=zeros(n,n);
MeanPostImag=zeros(n,n);

SigmaPostReal=zeros(n,n);
SigmaPostImag=zeros(n,n);
tic
for ll1=1:n
    for ll2=1:n
        coef1=[];
        for ii=1:N
            u1h=U1{ii,1}(ll1,ll2);
            u2h=U2{ii,1}(ll1,ll2);
            
            voh=(KY(ll1,ll2).*u1h-KX(ll1,ll2).*u2h)/kmod(ll1,ll2);
            
            coef1=[coef1,voh];
        end                        
        
        MeanPostReal(ll1,ll2)=mean(real(coef1));
        MeanPostImag(ll1,ll2)=mean(imag(coef1));
        
        SigmaPostReal(ll1,ll2)=std(real(coef1));
        SigmaPostImag(ll1,ll2)=std(imag(coef1));        
    end    
end
toc

Priovar=sqrt(delta*kmod.^(-2*alph));

figure
subplot(221)
% mesh(fftshift(Priovar./SigmaPostReal))
pcolor(-n/2:(n/2-1),-n/2:(n/2-1),fftshift(SigmaPostReal./Priovar)); 
colorbar
title('Real part of coefficients: STD of posterior/ STD of prior')
xlabel('k1')
ylabel('k2')
subplot(222)
% mesh(fftshift(SigmaPostImag./Priovar))
pcolor(-n/2:(n/2-1),-n/2:(n/2-1),fftshift(SigmaPostImag./Priovar));
colorbar
title('Imag part of coefficients: STD of posterior/ STD of prior')
xlabel('k1')
ylabel('k2')
subplot(223)
% mesh(fftshift(MeanPostReal))
pcolor(-n/2:(n/2-1),-n/2:(n/2-1),fftshift(MeanPostReal));
colorbar
title('Mean of Real part of coefficients')
xlabel('k1')
ylabel('k2')
subplot(224)
% mesh(fftshift(MeanPostImag))
pcolor(-n/2:(n/2-1),-n/2:(n/2-1),fftshift(MeanPostReal));
title('Mean of imag part of coefficients')
colorbar
xlabel('k1')
ylabel('k2')

if save_plot==1    
    saveas(gcf,[file_output,'_circle_plot'],'fig')
end

